typer(1)

NAME
typer - The TypEr, a Type annotator of Erlang code

DESCRIPTION

TypEr is a tool that displays and automatically inserts type annotations in Erlang code. It uses Dialyzer to infer variable types.

USAGE

typer [--help] [--version] [--comments] [--plt PltFile]
      [--show | --show-exported | --annotate | --annotate-inc-files]
      [-Ddefine]* [-I include_dir]* [-T application]* [-r] file*

Options:

    -r dir
        Searches directories recursively for .erl files below them.

    --show
        Prints type specifications for all functions on stdout (this is the default behaviour; this option is not really needed).

    --show-exported
        Same as --show, but prints specifications for exported functions only. Specs are displayed sorted alphabetically on the function's name.

    --annotate
        Annotates the specified files with type specifications.

    --annotate-inc-files
        Same as --annotate but annotates all -include() files as well as all .erl files (use this option with caution, it has not been tested much).

    --comments
        Prints type information using Edoc comments, not type contracts.

    --plt PltFile
        Uses the specified Dialyzer PLT file rather than the default one.

    -T file
        The file file already contains type specifications and these specifications are to be trusted in order to print specs for the rest of the files. (Multiple files or dirs, separated by spaces, can be specified.)

    -Dname (or -Dname=value)
        Passes the defined name to TypEr. (The syntax of defines is the same as that used by erlc, see erlc(1).)

    -I include_dir
        Passes the include_dir to TypEr. (The syntax of includes is the same as that used by erlc, see erlc(1).)

    --version (or -v)
        Prints the TypEr version and exits.

    --help (or -h)
        Prints help message and exits.

  Note:

* denotes that multiple occurrences of these options are possible.

SEE ALSO
dialyzer(1), erlc(1)